[**@rxap/ngx-bootstrap**](../README.md)

***

[@rxap/ngx-bootstrap](../globals.md) / StandaloneApplication

# Class: StandaloneApplication\<O\>

Defined in: [standalone-application.ts:13](https://gitlab.com/rxap/packages/-/blob/753c877fe1a5c2fcfa737310f6e99fd1371f9b4d/packages/angular/bootstrap/src/lib/standalone-application.ts#L13)

## Extends

- [`Application`](Application.md)\<`O`, `ApplicationRef`\>

## Type Parameters

• **O** *extends* `ApplicationConfig`

## Constructors

### new StandaloneApplication()

> **new StandaloneApplication**\<`O`\>(`environment`, `rootComponent`, `options`?, `configLoadOptions`?): [`StandaloneApplication`](StandaloneApplication.md)\<`O`\>

Defined in: [standalone-application.ts:15](https://gitlab.com/rxap/packages/-/blob/753c877fe1a5c2fcfa737310f6e99fd1371f9b4d/packages/angular/bootstrap/src/lib/standalone-application.ts#L15)

#### Parameters

##### environment

`Environment`

##### rootComponent

`Type`\<`unknown`\>

##### options?

`O`

##### configLoadOptions?

`ConfigLoadOptions` = `...`

#### Returns

[`StandaloneApplication`](StandaloneApplication.md)\<`O`\>

#### Overrides

[`Application`](Application.md).[`constructor`](Application.md#constructors)

## Properties

### app

> **app**: `null` \| `ApplicationRef` = `null`

Defined in: [application.ts:35](https://gitlab.com/rxap/packages/-/blob/753c877fe1a5c2fcfa737310f6e99fd1371f9b4d/packages/angular/bootstrap/src/lib/application.ts#L35)

#### Inherited from

[`Application`](Application.md).[`app`](Application.md#app)

***

### config

> **config**: `null` \| `ConfigService`\<`Record`\<`string`, `any`\>\> = `null`

Defined in: [application.ts:37](https://gitlab.com/rxap/packages/-/blob/753c877fe1a5c2fcfa737310f6e99fd1371f9b4d/packages/angular/bootstrap/src/lib/application.ts#L37)

#### Inherited from

[`Application`](Application.md).[`config`](Application.md#config)

***

### configLoadOptions?

> `readonly` `optional` **configLoadOptions**: `ConfigLoadOptions`

Defined in: [application.ts:44](https://gitlab.com/rxap/packages/-/blob/753c877fe1a5c2fcfa737310f6e99fd1371f9b4d/packages/angular/bootstrap/src/lib/application.ts#L44)

#### Inherited from

[`Application`](Application.md).[`configLoadOptions`](Application.md#configloadoptions-1)

***

### environment

> `readonly` **environment**: `Environment`

Defined in: [application.ts:42](https://gitlab.com/rxap/packages/-/blob/753c877fe1a5c2fcfa737310f6e99fd1371f9b4d/packages/angular/bootstrap/src/lib/application.ts#L42)

#### Inherited from

[`Application`](Application.md).[`environment`](Application.md#environment-1)

***

### logger

> **logger**: `null` \| `NGXLogger` = `null`

Defined in: [application.ts:36](https://gitlab.com/rxap/packages/-/blob/753c877fe1a5c2fcfa737310f6e99fd1371f9b4d/packages/angular/bootstrap/src/lib/application.ts#L36)

#### Inherited from

[`Application`](Application.md).[`logger`](Application.md#logger)

***

### options

> `readonly` **options**: `O`

Defined in: [application.ts:43](https://gitlab.com/rxap/packages/-/blob/753c877fe1a5c2fcfa737310f6e99fd1371f9b4d/packages/angular/bootstrap/src/lib/application.ts#L43)

#### Inherited from

[`Application`](Application.md).[`options`](Application.md#options-1)

## Methods

### after()

> **after**(`fnc`): `void`

Defined in: [application.ts:86](https://gitlab.com/rxap/packages/-/blob/753c877fe1a5c2fcfa737310f6e99fd1371f9b4d/packages/angular/bootstrap/src/lib/application.ts#L86)

#### Parameters

##### fnc

[`ApplicationAfterFunction`](../type-aliases/ApplicationAfterFunction.md)\<`ApplicationRef`\>

#### Returns

`void`

#### Inherited from

[`Application`](Application.md).[`after`](Application.md#after)

***

### before()

> **before**(`fnc`): `void`

Defined in: [application.ts:82](https://gitlab.com/rxap/packages/-/blob/753c877fe1a5c2fcfa737310f6e99fd1371f9b4d/packages/angular/bootstrap/src/lib/application.ts#L82)

#### Parameters

##### fnc

[`ApplicationBeforeFunction`](../type-aliases/ApplicationBeforeFunction.md)\<`O`\>

#### Returns

`void`

#### Inherited from

[`Application`](Application.md).[`before`](Application.md#before)

***

### bootstrap()

> **bootstrap**(): `Promise`\<`void`\>

Defined in: [application.ts:47](https://gitlab.com/rxap/packages/-/blob/753c877fe1a5c2fcfa737310f6e99fd1371f9b4d/packages/angular/bootstrap/src/lib/application.ts#L47)

#### Returns

`Promise`\<`void`\>

#### Inherited from

[`Application`](Application.md).[`bootstrap`](Application.md#bootstrap)

***

### create()

> `protected` **create**(): `Promise`\<`ApplicationRef`\>

Defined in: [standalone-application.ts:32](https://gitlab.com/rxap/packages/-/blob/753c877fe1a5c2fcfa737310f6e99fd1371f9b4d/packages/angular/bootstrap/src/lib/standalone-application.ts#L32)

#### Returns

`Promise`\<`ApplicationRef`\>

#### Overrides

[`Application`](Application.md).[`create`](Application.md#create)

***

### handleAfter()

> `protected` **handleAfter**(`app`, `logger`, `config`): `Promise`\<`void`\>

Defined in: [application.ts:96](https://gitlab.com/rxap/packages/-/blob/753c877fe1a5c2fcfa737310f6e99fd1371f9b4d/packages/angular/bootstrap/src/lib/application.ts#L96)

#### Parameters

##### app

`ApplicationRef`

##### logger

`NGXLogger`

##### config

`ConfigService`

#### Returns

`Promise`\<`void`\>

#### Inherited from

[`Application`](Application.md).[`handleAfter`](Application.md#handleafter)

***

### handleBefore()

> `protected` **handleBefore**(`config`, `options`): `Promise`\<`void`\>

Defined in: [application.ts:90](https://gitlab.com/rxap/packages/-/blob/753c877fe1a5c2fcfa737310f6e99fd1371f9b4d/packages/angular/bootstrap/src/lib/application.ts#L90)

#### Parameters

##### config

`ConfigService`

##### options

`O`

#### Returns

`Promise`\<`void`\>

#### Inherited from

[`Application`](Application.md).[`handleBefore`](Application.md#handlebefore)

***

### importProvidersFrom()

> **importProvidersFrom**(...`sources`): `void`

Defined in: [standalone-application.ts:27](https://gitlab.com/rxap/packages/-/blob/753c877fe1a5c2fcfa737310f6e99fd1371f9b4d/packages/angular/bootstrap/src/lib/standalone-application.ts#L27)

#### Parameters

##### sources

...`ImportProvidersSource`[]

#### Returns

`void`

***

### loadConfig()

> `protected` **loadConfig**(`environment`): `Promise`\<`void`\>

Defined in: [application.ts:102](https://gitlab.com/rxap/packages/-/blob/753c877fe1a5c2fcfa737310f6e99fd1371f9b4d/packages/angular/bootstrap/src/lib/application.ts#L102)

#### Parameters

##### environment

`Environment`

#### Returns

`Promise`\<`void`\>

#### Inherited from

[`Application`](Application.md).[`loadConfig`](Application.md#loadconfig)

***

### prepareConfig()

> `protected` **prepareConfig**(`config`): `void`

Defined in: [standalone-application.ts:36](https://gitlab.com/rxap/packages/-/blob/753c877fe1a5c2fcfa737310f6e99fd1371f9b4d/packages/angular/bootstrap/src/lib/standalone-application.ts#L36)

#### Parameters

##### config

`O`

#### Returns

`void`

#### Overrides

[`Application`](Application.md).[`prepareConfig`](Application.md#prepareconfig)

***

### prepareEnvironment()

> `protected` **prepareEnvironment**(`environment`): `Promise`\<`void`\>

Defined in: [application.ts:106](https://gitlab.com/rxap/packages/-/blob/753c877fe1a5c2fcfa737310f6e99fd1371f9b4d/packages/angular/bootstrap/src/lib/application.ts#L106)

#### Parameters

##### environment

`Environment`

#### Returns

`Promise`\<`void`\>

#### Inherited from

[`Application`](Application.md).[`prepareEnvironment`](Application.md#prepareenvironment)
